UbuntuUpdates.org

Package "glibc-doc"

Name: glibc-doc

Description:

GNU C Library: Documentation

Latest version: 2.32-0ubuntu3.2
Release: groovy (20.10)
Level: proposed
Repository: main
Head package: glibc
Homepage: https://www.gnu.org/software/libc/libc.html

Links


Download "glibc-doc"


Other versions of "glibc-doc" in Groovy

Repository Area Version
base main 2.32-0ubuntu3

Changelog

Version: 2.32-0ubuntu3.2 2021-04-08 11:07:23 UTC

  glibc (2.32-0ubuntu3.2) groovy; urgency=medium

  * Make libc6 provide libc6-lse on arm64.
    Libc6 is already compiled with -moutline-atomics thus the separate binary
    package is dropped. (LP: #1912652)
  * debian/control: Libc6 should Conflict and Replace libc6-lse

Source diff to previous version

Version: 2.32-0ubuntu3.1 2020-12-16 23:07:12 UTC

  glibc (2.32-0ubuntu3.1) groovy; urgency=medium

  * Drop check preventing using float128 which breaks new icc (LP: #1895358)
  * Detect debconf consistently in libc6.preinst and do not crash if it is not
    used (LP: #1902955)
  * Ship libc variant compiled for profiling in libc6-prof (LP: #1908307)
  * Don't build libc6-prof in stage1 and stage2
  * Ship libc6-prof on riscv64, too.
    This fixes FTBFS on riscv64 due to the the flavour being built but not
    shipped in a package.
  * elf: Add endianness markup to ld.so.cache (Closes: #731082) (LP: #1906250)
  * Fix shmctl, msgctl and semctl regressions in glibc 2.31 (LP: #1904419)
    - Also XFAIL tst-sysvshm-linux on i386 and x32
  * Prevent rare deadlock in pthread_cond_signal (LP: #1899800)

 -- Balint Reczey <email address hidden> Wed, 16 Dec 2020 13:30:09 +0100

1895358 [Bug] A simple code including tgmath.h cannot be compiled with icc with Ubuntu 20.04 OS
1902955 package libc6:amd64 2.31-0ubuntu9.1 failed to install/upgrade: package libc6:amd64 2.31-0ubuntu9.1 cannot be configured because libc6:i386 is at a di
1908307 Please ship a glibc build for profiling in libc6-prof
1906250 Segmentation fault in s390x ld.so while parsing /etc/ld.so.cache using qemu-s390x on x86_64.
1904419 Upgrade glibc 2.32 by required upstream patches
1899800 Runtime deadlock: pthread_cond_signal failed to wake up pthread_cond_wait due to a bug in undoing stealing
731082 ld.so.cache parsing code does not deal with mixed endianess multiarch, causing segfaults



About   -   Send Feedback to @ubuntu_updates